[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Missing dependency problem



I 've been using FC3 in an AMD64 without any problem until today when I
tried to update and got the following:

[leodoc dc85d4bc3 ~]$ su

Password:

[root dc85d4bc3 leodoc]# yum update

Setting up Update Process

Setting up Repos

core 100% |=========================| 951 B 00:00

dag 100% |=========================| 1.1 kB 00:00

base 100% |=========================| 1.1 kB 00:00

updates 100% |=========================| 951 B 00:00

updates-released 100% |=========================| 951 B 00:00

fedora-preextras 100% |=========================| 951 B 00:00

freshrpms 100% |=========================| 951 B 00:00

Reading repository metadata in from local files

core : ################################################## 2852/2852

dag : ################################################## 1953/1953

base : ################################################## 2852/2852

updates : ################################################## 946/946

updates-re: ################################################## 908/908

fedora-pre: ################################################## 957/957

freshrpms : ################################################## 475/475

Resolving Dependencies

--> Populating transaction set with selected packages. Please wait.

---> Package libgcc.i386 0:3.4.3-22.fc3 set to be updated

---> Package libstdc++.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package gcc-objc.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package autofs.x86_64 1:4.1.3-114 set to be updated

---> Package libmudflap-devel.x86_64 0:4.0.0-0.41.fc3 set to be updated

---> Package libobjc.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package libstdc++-devel.i386 0:3.4.3-22.fc3 set to be updated

---> Package libgfortran.x86_64 0:4.0.0-0.41.fc3 set to be updated

---> Package libf2c.i386 0:3.4.3-22.fc3 set to be updated

---> Package libf2c.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package libstdc++-devel.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package libstdc++.i386 0:3.4.3-22.fc3 set to be updated

---> Package libgcj-devel.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package gcc.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package gcc4-c++.x86_64 0:4.0.0-0.41.fc3 set to be updated

---> Package libgcj.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package gcc-java.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package libgnat.i386 0:3.4.3-22.fc3 set to be updated

---> Package libobjc.i386 0:3.4.3-22.fc3 set to be updated

---> Package libmudflap.i386 0:4.0.0-0.41.fc3 set to be updated

---> Package gcc-c++.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package libgcj.i386 0:3.4.3-22.fc3 set to be updated

---> Package libmudflap.x86_64 0:4.0.0-0.41.fc3 set to be updated

---> Package libgfortran.i386 0:4.0.0-0.41.fc3 set to be updated

---> Package cpp.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package gcc4.x86_64 0:4.0.0-0.41.fc3 set to be updated

---> Package gcc4-gfortran.x86_64 0:4.0.0-0.41.fc3 set to be updated

---> Downloading header for libgc to pack into transaction set.

libgc-6.2-0.1.fc3.rf.x86_ 100% |=========================| 2.6 kB 00:00

---> Package libgc.x86_64 1:6.2-0.1.fc3.rf set to be updated

---> Package gcc-g77.x86_64 0:3.4.3-22.fc3 set to be updated

---> Package libgcc.x86_64 0:3.4.3-22.fc3 set to be updated

--> Running transaction check

--> Processing Dependency: gcc = 3.4.2 for package: libtool

--> Finished Dependency Resolution

Error: Missing Dependency: gcc = 3.4.2 is needed by package libtool

[root dc85d4bc3 leodoc]# rpm -qa|grep gcc

gcc-3.4.2-6.fc3

compat-gcc-objc-8-3.3.4.2

gcc-java-3.4.2-6.fc3

libgcc-3.4.2-6.fc3

compat-gcc-c++-8-3.3.4.2

gcc-c++-3.4.2-6.fc3

gcc-objc-3.4.2-6.fc3

compat-gcc-8-3.3.4.2

gcc4-4.0.0-0.8

compat-gcc-c++-8-3.3.4.2

gcc-g77-3.4.2-6.fc3

compat-gcc-g77-8-3.3.4.2

gcc4-gfortran-4.0.0-0.8

libgcc-3.4.2-6.fc3

compat-gcc-8-3.3.4.2

gcc4-c++-4.0.0-0.8

compat-gcc-java-8-3.3.4.2

[root dc85d4bc3 leodoc]# ls -l /etc/yum.repos.d

total 88

-rw-r--r-- 1 root root 130 Feb 19 11:33 dag.repo

-rw-r--r-- 1 root root 233 Nov 1 15:03 fedora-devel.repo

-rw-rw-r-- 1 root root 199 Feb 19 16:47 fedora-preextras.repo

-rw-rw-r-- 1 root root 212 Feb 19 16:47 fedora-preextras.repo.bak

-rw-r--r-- 1 root root 308 Feb 26 09:45 fedora.repo

-rw-r--r-- 1 root root 152 Feb 19 19:49 fedora.repo~

-rw-r--r-- 1 root root 244 Feb 19 19:49 fedora.repo.bak

-rw-r--r-- 1 root root 280 Nov 1 15:03 fedora-updates.repo

-rw-r--r-- 1 root root 282 Nov 1 15:03 fedora-updates-testing.repo

-rw-r--r-- 1 root root 730 Feb 26 09:07 freshrpms.repo

-rw-r--r-- 1 root root 168 Feb 26 09:03 freshrpms.repo~

[root dc85d4bc3 leodoc]# cat /etc/yum.conf

[main]

cachedir=/var/cache/yum

debuglevel=2

logfile=/var/log/yum.log

pkgpolicy=newest

distroverpkg=redhat-release

tolerant=1

exactarch=1

retries=20

obsoletes=1

gpgcheck=1


# PUT YOUR REPOS HERE OR IN separate files named file.repo

# in /etc/yum.repos.d


Any suggestions? Thanks in advance.


Leopoldo Olmos



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]